poetry.jpg=Poetry Reading session co-ordinated by Sharanya Manivannan at Vanilla Children Place
mtrd2.jpg=A walk along  Mount Road guided by Vincent D' Souza
mtrd1.jpg=A stop over during the Mount Road walk
parvati3.jpg=One of the drawings at the drawing and painting exhibition by  art director P. Krishnamoorthy displayed at Gallery Sri Parvati
parvati1.jpg=Photography exhibition at Hotel Taj Connemara
parvati2.jpg=Colonial India in Photographs of Wiele and Klein. Exhibition at Hotel Taj Connemara
anil1.jpg=Kritis and Symphonies on Madras – music accompanied by commentary – Anil Srinivasan.
zarin1.jpg=The Parsis of Madras – power point presentation and talk by Zarin Mistry.
narasiahtalk1.jpg=Chennai Heritage talk series in Tamil - Narasiah presenting his talk at Royapuram
anil2.jpg=A section of the audience at Anil Srinivasan's show.
narasiahtalk.jpg=K. R. A. Narasiah's on the Madras Port at Avvai kalai Kazhagam, Royapuram.
zarin2.jpg=Zarin Mistry withthe audience
